#-*- mode: yaml; coding: utf-8; -*-
#= 設定ファイル
#
# Rakefile 内で load される.
#
#== 挙動の制御
#
#=== CSS, JS の置き場所
#
#  Rakefile の実体の場所を指定すると良い.
#  このディレクトリから bootstrap, jquery を読む
#
base_path: http://www.gfd-dennou.org/library/cc-env/RDWebgen
#
#=== 下層のディレクトリも再帰的に処理するか?
#
recursive: false
#
#=== 再帰的処理をしない場合の扱うディレクトリのリスト
#
# - recursive: true の場合は無視される
#
# src: nil
#  - subdirs
#  - subdirs/subsubdirs
#
#=== RD ファイル内の画像へのリンクを thumbnail へ置き換えるか
#
thumbnail: true
#
#=== 日本語, 英語ファイルの処理
#
# ja:true で htm.ja を生成
# en:true で htm.en を生成
#
lang:
  ja: true
  en: true
#
#== HTML meta 情報
#
# TODO: email で与えた文字列を画像に変換して配置したいが, ちょっと大仰かな...
#
author: GFD Dennou Staff
title: Dennou-Ruby
url: http://ruby.gfd-dennou.org/
email: http://www.gfd-dennou.org//library/dcmodel/htmltools/dcstaff_email.png
since: 2015/03/09
#
#
#== 外部CSSの設定
#
# * assets 以外の CSS の指定
#
css: "http://www.gfd-dennou.org/library/dcmodel/htmltools/dcmodel-with-bootstrap.css"
# css: false
#
#== additional HEADER
#
# <head></head> に追加する任意の HTML 片をここに記述
# 出力時に改行は保持されないことに注意されたい
#
additional_head: |+
  <!-- this is a test of additional header -->
# * メニューバーに表示するリンク
#
link_ja:
  - title: 地球流体電脳倶楽部
    url: http://www.gfd-dennou.org/
  - title: 電脳 Ruby
    url: http://ruby.gfd-dennou.org/
#  - title: cc-env
#    url: /library/cc-env/index.html.ja
link_en:
  - title: GFD Dennou Club
    url: http://www.gfd-dennou.org/
  - title: Dennou Ruby
    url: http://ruby.gfd-dennou.org/
#  - title: cc-env
#    url: /library/cc-env/index.htm.en

#-------------------------------------------------------------------------
# Not implement yet.
#
#== 生成する HTML ファイルの URIのベース
#
# * "http://..." で指定する
# * false の場合, Rakefile の場所からの相対PATHになる.
#
# publish_base: http://www.gfd-dennou.org/member/uwabami/tmp/
# publish_base: false
#
#== Template 置き場
#
# * HTML のヘッダ/フッタのテンプレートを外部から読み込めるようにする?
#
# assets: "./assets"
